### Method

# Vips Image clamp

#### Declaration [src]

    int
    vips_clamp (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

This operation clamps pixel values to a range, by default 0 - 1.

Use `min` and `max` to change the range.

Optional arguments

- `min`: `gdouble`, minimum value
- `max`: `gdouble`, maximum value

See also

`vips_sign()`, `vips_abs()`, `vips_sdf()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output `VipsImage`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.